import React, { useEffect } from "react";
import "./MainParent.css";
import { useNavigate } from "react-router-dom";
import { useCookies } from "react-cookie";
import axios from "axios";

const MainSelect = () => {
  const [cookies, setCookie, removeCookie] = useCookies(["loggedIn"]);

  const navigate = useNavigate();
  const fetchData = async () => {
    try {
      const response = await axios.get(`http://165.229.169.127:8080/rating`, {
        withCredentials: true,
      });
      const responseData = response.data.data; // response.data는 이미 JavaScript 객체로 사용 가능합니다.
      const role = responseData.role;
      if (role == "parent") {
        navigate("/mainParent");
      } else if (role == "teacher") {
        navigate("/mainTeacher");
      } else {
        navigate("/mainStudent");
      }

      console.log(response.data);
    } catch (error) {
      console.error("Error fetching data: ", error);
    }
  };
  useEffect(() => {
    if (!cookies.loggedIn) {
      navigate("/login");
    } else {
      fetchData();
    }
  }, [cookies.loggedIn]);

  return <div>loading...</div>;
};

export default MainSelect;
